Bug 151962 - please enable cracklib for php
please enable cracklib for php
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://www.php.net/manual/en/function...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 16:37 EST by Dan Hollis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 17:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2005-03-23 16:37:02 EST
Description of problem:
please enable cracklib for php.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info:
cracklib is included in the core fedora distro, it would be very nice if the
stock included php support for cracklib was enabled, eg:

--enable-crack=/usr/lib (or /usr/lib64 on x86_64)

in the php build script.
Comment 1 Joe Orton 2005-03-23 17:31:12 EST
Crack moved to PECL as of PHP 5.0, so it's a case of adding another package, not
just enabling a config option.  Again, I think Extras is appropriate. (sorry Dan ;) 
Comment 2 Dan Hollis 2005-03-23 17:41:09 EST
should this be re-submitted as a request to add cracklib PECL module to fc4 then?
Comment 3 Joe Orton 2005-03-24 07:40:29 EST
Not for Core, no, see http://www.fedoraproject.org/wiki/NewPackageProcess for
the Extras submission process; I'd be happy to sponsor you.
Comment 4 Dan Hollis 2005-06-20 05:36:06 EDT
just adding some urls to this bug for reference.

http://php.visionwebhosting.net/manual/el/ref.crack.php
http://pecl.php.net/package/crack

Note You need to log in before you can comment on or make changes to this bug.